#pragma once

#include <Orange/Core/Types.h>

namespace orange
{
    constexpr uint32_t HashString(const char* s, size_t count)
    {
        return ((count ? HashString(s, count - 1) : 2166136261u) ^ s[count]) * 16777619u;
    }

    constexpr uint32_t operator"" _hash(const char* s, size_t count)
    {
        return HashString(s, count);
    }
}
